Bug 97184 - After Jun 06 update balsa stopped working w/ attachments
After Jun 06 update balsa stopped working w/ attachments
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: balsa (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-06-11 06:46 EDT by Mario Mikocevic
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 11:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mario Mikocevic 2003-06-11 06:46:48 EDT
Description of problem:
Balsa hangs when trying to save _any_ attachment.

Version-Release number of selected component (if applicable):
# rpm -qa | grep balsa
balsa-2.0.11-1

How reproducible:
always

Steps to Reproduce:
Open any e-mail with attachment, click on it and then click on
`Save Part` button -> hang.

strace produces :
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
write(9, "\33\2\2\0\0\0\0\0 \23\2\0\0\0\0\0+\0\1\0", 20) = 20
read(9, 0xbfffe3b0, 32)                 = -1 EAGAIN (Resource temporarily
unavailable)
select(10, [9], NULL, NULL, NULL)       = 1 (in [9])
read(9, "\1\2\\s\0\0\0\0\5\0\300\6\0\0\0\0\0\0\0\0\35\0\0\0\20\262"..., 32) = 32
rt_sigprocmask(SIG_SETMASK, NULL, [SEGV RTMIN], 8) = 0
rt_sigsuspend([SEGV]
Comment 1 Mario Mikocevic 2003-06-11 07:17:57 EDT
It seems it crashes on reading dir content of last saved dir location ->
ioctl(9, FIONREAD, [0])                 = 0
gettimeofday({1055329365, 241039}, NULL) = 0
poll([{fd=5, events=POLLIN}, {fd=3, events=POLLIN}, {fd=7, events=POLLIN},
{fd=9, events=POLLIN, revents=POLLI
N}, {fd=12, events=POLLIN}, {fd=14, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=16, events=POL
LIN|POLLPRI}], 8, 16656) = 1
ioctl(9, FIONREAD, [64])                = 0
read(9, "\5\1>s\324\316\327\5I\0\0\0\323\22\340\6\0\0\0\0009\2u"..., 64) = 64
gettimeofday({1055329365, 300628}, NULL) = 0
getcwd("/tmp/balsa", 4096)              = 11
stat64("/afs", 0xbfffe8c0)              = -1 ENOENT (No such file or directory)
stat64("/net", 0xbfffe8c0)              = -1 ENOENT (No such file or directory)
stat64("/tmp/balsa", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/tmp/balsa", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 30
fstat64(30, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
fcntl64(30, F_SETFD, FD_CLOEXEC)        = 0
getdents64(30, /* 4 entries */, 4096)   = 112
getdents64(30, /* 0 entries */, 4096)   = 0
lseek(30, 0, SEEK_SET)                  = 0
munmap(0x70d054f1, 2543228863)          = -1 EINVAL (Invalid argument)
stat64("/tmp/balsa/.", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
munmap(0x866ecb8, 40)                   = -1 EINVAL (Invalid argument)
stat64("/tmp/balsa/..", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=4096, ...}) = 0
getdents64(30, /* 4 entries */, 4096)   = 112
stat64("/tmp/balsa/balsa.std", {st_mode=S_IFREG|0644, st_size=60, ...}) = 0
stat64("/tmp/balsa/balsa.err", {st_mode=S_IFREG|0644, st_size=1157970, ...}) = 0

this is `strace balsa > balsa.std 2> balsa.err`

close(30)                               = 0
stat64("/tmp/balsa", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64("/home/mozgy/misc", {st_mode=S_IFDIR|0755, st_size=94208, ...}) = 0
open("/home/mozgy/misc", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 30
fstat64(30, {st_mode=S_IFDIR|0755, st_size=94208, ...}) = 0
fcntl64(30, F_SETFD, FD_CLOEXEC)        = 0
getdents64(30, /* 112 entries */, 4096) = 4080
  lotsa ^^^ these
getdents64(30, /* 0 entries */, 4096)   = 0
brk(0)                                  = 0x86fd000
brk(0x8720000)                          = 0x8720000
lseek(30, 0, SEEK_SET)                  = 0
munmap(0x866db50, 40)                   = -1 EINVAL (Invalid argument)
stat64("/home/mozgy/misc/.", {st_mode=S_IFDIR|0755, st_size=94208, ...}) = 0
munmap(0x86d6f20, 40)                   = -1 EINVAL (Invalid argument)
stat64("/home/mozgy/misc/..", {st_mode=S_IFDIR|0700, st_size=8192, ...}) = 0
getdents64(30, /* 112 entries */, 4096) = 4080
  now lists complete dir content
  and finally barfs ->
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
write(9, "\33\2\2\0\0\0\0\0 \23\2\0\0\0\0\0+\0\1\0", 20) = 20
read(9, "\1\2As\0\0\0\0\5\0\340\6\0\0\0\0\0\0\0\0\36\0\0\0p\220"..., 32) = 32
rt_sigprocmask(SIG_SETMASK, NULL, [SEGV RTMIN], 8) = 0
rt_sigsuspend([SEGV] <unfinished ...>


Comment 2 Mario Mikocevic 2003-07-04 11:07:53 EDT
The more I debug this the more it looks like broken i18n (wrong env LANG
setting) handling
in gnome and/or gtk2.
Comment 3 Bill Nottingham 2003-07-07 15:32:26 EDT
What does your i18n environment look like?
Comment 4 Mario Mikocevic 2003-07-08 05:48:47 EDT
xx# cat /etc/sysconfig/i18n                 
LANG="hr_HR"
SUPPORTED="hr_HR:hr:en_US:en"
# SYSFONT="lat2-sun16"
# SYSFONTACM="iso02"
SYSFONT="latarcyrheb-sun16"
CHARSET="8859-2"

xx%% env
NNTPSERVER=news.htnet.hr
SHELL=/bin/zsh
TERM=rxvt
HISTSIZE=1500
PATH=/usr/local/bin:/bin:/usr/bin:/usr/java/j2re1.4.1_01/bin:/home/mozgy/bin:/usr/X11R6/bin
MAIL=/var/mail/mozgy
VCAP_FORMAT=PAL
PWD=/home/mozgy
IRCNAME=Linux Lurker ...
MOZILLA_NO_ASYNC_DNS=True
HOME=/home/mozgy
SHLVL=3
LOGNAME=mozgy
DISPLAY=:0.0
XAUTHORITY=/home/mozgy/.Xauthority
WMAKER_BIN_NAME=wmaker
WRASTER_COLOR_RESOLUTION0=4
COLORFGBG=15;default;0
WINDOWID=27262978
COLORTERM=rxvt-xpm
OLDPWD=/home/mozgy/.rubrica
_=/bin/env

if I add _correct_ LANG env var balsa works as expected _BUT_ if I
add _incorrect_ LANG env var balsa (and for example rubrica too) hangs on
any 'browse' button ..
Incorrect as in LANG=ZIZ_IS_BS

ps
  I wonder who parses sysconfig/i18n !?
  (time to do some more grepping ..)
Comment 5 Zack Cerza 2004-07-21 15:38:18 EDT
Does the problem still exist in the current version?
Comment 6 David Lawrence 2006-04-10 11:26:45 EDT
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Note You need to log in before you can comment on or make changes to this bug.